Skip to main content
GET
/
incidents
/
{incident_id}
/
evidence
Get incident evidence
curl --request GET \
  --url https://api.example.com/incidents/{incident_id}/evidence \
  --header 'Authorization: Bearer <token>'
{
  "incident": {
    "id": "<string>",
    "monitor_id": "<string>",
    "metric_id": "<string>",
    "project_id": "<string>",
    "status": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  },
  "rca": {
    "status": "<string>",
    "result": {
      "root_cause": "<string>",
      "classification": "<string>",
      "suggested_fix": "<string>",
      "confidence": "<string>"
    },
    "failing_trace_ids": [
      "<string>"
    ]
  },
  "metric": {
    "id": "<string>",
    "name": "<string>",
    "type": "<string>",
    "description": "<string>",
    "collection_type": "<string>",
    "agent_name": "<string>"
  },
  "monitor": {
    "id": "<string>",
    "threshold": 123,
    "aggregation_method": "<string>",
    "comparison_operator": "<string>",
    "interval_value": 123,
    "interval_unit": "<string>"
  },
  "associated_traces": [
    {
      "id": "<string>",
      "project_id": "<string>",
      "project_name": "<string>",
      "otel_trace_id": "<string>",
      "service_name": "<string>",
      "created_at": "<string>"
    }
  ],
  "issue_occurrences": [
    {
      "id": "<string>",
      "trace_id": "<string>",
      "title": "<string>",
      "rationale": "<string>",
      "issue_id": "<string>",
      "priority": "<string>",
      "category": "<string>",
      "created_at": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incident_id
string<uuid>
required

Incident identifier.

Response

Successful Response

incident
IncidentRead · object
required

Incident payload returned by list and detail endpoints.

rca
RcaAnalysisRead · object
metric
IncidentMetricContext · object
monitor
IncidentMonitorContext · object
associated_traces
AssociatedTraceSummary · object[]
issue_occurrences
IncidentIssueOccurrenceEvidence · object[]